> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect a team invitation by token



## OpenAPI

````yaml /openapi.json get /api/v1/invitations/{token}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/invitations/{token}:
    get:
      summary: Inspect a team invitation by token
      operationId: getTeamInvitation
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationPublicView'
      security: []
components:
  schemas:
    InvitationPublicView:
      type: object
      properties:
        workspace:
          type: string
        workspaceDisplayName:
          type: string
        role:
          type: string
          enum:
            - admin
            - member
            - viewer
        maskedEmail:
          type: string
        expiresAt:
          type: string
      required:
        - workspace
        - workspaceDisplayName
        - role
        - maskedEmail
        - expiresAt
      additionalProperties: false

````